apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: exchange-ingress
  labels:
    name: exchange-ingress
spec:
  ingressClassName: nginx
  rules:
    - host: exchange.ledius.ru
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: exchange
                port:
                  number: 80

          - path: /api
            pathType: Prefix
            backend:
              service:
                name: courses
                port:
                  number: 3000

          - path: /api/ledius-token
            pathType: Prefix
            backend:
              service:
                name: ledius-token
                port:
                  number: 3000
